import React from 'react';
import './ResultClustering.css';
import Paper from 'material-ui/Paper';

class ResultClustering extends React.Component {

  constructor(props) {
    super(props);
    this.clusters = props.clusters;
  }

  render() {
    let clusterData = encodeURIComponent(JSON.stringify(this.clusters));
    return (<Paper elevation={1} className="result-clustering-box">
      <iframe title="foamtree" width="100%" height="600px" frameBorder="0" src={"/foamtree.html?data=" + clusterData}></iframe>
    </Paper>);
  }
}

export default ResultClustering;
